#pragma once

#include <vector>
#ifdef MSWINDOWS
    #include <Windows.h>
#endif


class AL4_random
{
public: 

    long int RandSeed;
    AL4_random();
    unsigned int RandInt();
    double RandDouble();

    static std::vector<AL4_random*> All_random;
    
    static int New_random_object();
    static void Release_random_object(int H);
    static void Random_object_set_seed(int H, int Seed);
    static int Random_object_next_in_range(int H, int Max);
    static double Random_object_probable_value(int H);
};

